summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author M.Dinslage <daedra1980@gmail.com>2016-07-24 17:09:56 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-07-24 17:09:56 +0700
commit9cc0c204a2aa7cda394c9f72d2b220c456c544aa (patch)
tree47c53d4d037d62c29927dfcf370411e1cea7dae0 /system
parent03569b3068a88a0a175dfcffaf316dec14653ba3 (diff)
downloadslackbuilds-9cc0c204a2aa7cda394c9f72d2b220c456c544aa.tar.gz
slackbuilds-9cc0c204a2aa7cda394c9f72d2b220c456c544aa.tar.xz
system/conky: Updated for version 1.10.4.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/conky/README16
-rw-r--r--system/conky/conky.SlackBuild126
-rw-r--r--system/conky/conky.info8
3 files changed, 96 insertions, 54 deletions
diff --git a/system/conky/README b/system/conky/README
index 94da7195c7..f809bfb185 100644
--- a/system/conky/README
+++ b/system/conky/README
@@ -5,5 +5,17 @@ your root desktop or in it's own window. Conky has many built-in
objects, as well as the ability to execute programs and scripts, then
display the output from stdout.
-To enable lua scripting engine support, you will need lua, imlib2, and
-tolua++, and run this script like this: LUA=yes ./conky.SlackBuild
+Starting with the 1.10.x branch of conky the conkyrc config files now
+use a lua based syntax. This means that older conkyrc config files
+may not work. Conky does attempt to convert older config scripts
+on the fly but if it doesn't work you can convert your config file
+with the convert.lua script that is provided in the /usr/doc
+directory. It is not guaranteed to work but it should give you a
+good starting point to edit the converted script to make it work.
+If you can't get your script to work then you can install the
+1.9.0 version of conky that is provided here at SBo in the 14.1
+branch.
+
+Audacious is disabled by default because it requires libaudclient.
+libaudclient is available here at SBo. You can enable audacious
+support the build by passing AUDACIOUS=yes ./conky.SlackBuild.
diff --git a/system/conky/conky.SlackBuild b/system/conky/conky.SlackBuild
index 31f4630ed9..6ee408952b 100644
--- a/system/conky/conky.SlackBuild
+++ b/system/conky/conky.SlackBuild
@@ -2,10 +2,28 @@
# Slackware build script for conky
-# Written by M.Dinslage contact: daedra1980@gmail.com
+# Copyright 2016 Matt Dinslage (daedra1980@gmail.com), Springfield, MO, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=conky
-VERSION=1.9.0
+VERSION=${VERSION:-1.10.4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -22,18 +40,18 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Pass LUA=yes if you want to build lua scripting engine support.
-LUA=${LUA:-"NO"}
+# Pass AUDACIOUS=yes if you want to build audacious player support.
+AUDACIOUS=${AUDACIOUS:-"no"}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LBIDIRSUFFIX=""
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LBIDIRSUFFIX=""
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
- LBIDIRSUFFIX="64"
+ LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
@@ -41,66 +59,78 @@ fi
set -e
-if [ "${LUA:-yes}" = "yes" ]; then
- lua_params="--enable-lua --enable-lua-cairo --enable-imlib2 --enable-lua-imlib2"
+if [ "${AUDACIOUS:-yes}" = "yes" ]; then
+ audacious="ON"
else
- lua_params="--disable-lua"
+ audacious="OFF"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LBIDIRSUFFIX} \
- --sysconfdir=/etc \
- --mandir=/usr/man \
- --enable-shared=yes \
- --enable-static=no \
- --enable-ibm \
- --enable-hddtemp \
- --enable-xft \
- --enable-weather-metar \
- --enable-weather-xoap \
- --enable-portmon \
- --enable-audacious \
- --enable-mpd=yes \
- --enable-rss=yes \
- --enable-wlan=yes \
- $lua_params \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
-
-make
-make install-strip DESTDIR=$PKG
-
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DDOC_PATH=/usr/doc/$PRGNAM-$VERSION \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DMAINTAINER_MODE=ON \
+ -DBUILD_XDBE=ON \
+ -DBUILD_AUDACIOUS=$audacious \
+ -DBUILD_CURL=ON \
+ -DBUILD_WLAN=ON \
+ -DBUILD_RSS=ON \
+ -DBUILD_WEATHER_METAR=ON \
+ -DBUILD_WEATHER_XOAP=ON \
+ -DBUILD_MPD=ON \
+ -DBUILD_IMLIB2=ON \
+ -DBUILD_LUA_CAIRO=ON \
+ -DBUILD_LUA_IMLIB2=ON \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Conky doesn't want to honor MANDIR. Move the man files manually
+mkdir -p $PKG/usr/man/man1
+mv $PKG/usr/share/man/man1/conky.1 $PKG/usr/man/man1
+rm -r $PKG/usr/share
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-# Move existing config files
-mv $PKG/etc/conky/conky.conf $PKG/etc/conky/conky.conf.new
-mv $PKG/etc/conky/conky_no_x11.conf $PKG/etc/conky/conky_no_x11.conf.new
+# Copy existing config files
+mkdir -p $PKG/etc/conky
+cp data/conky.conf $PKG/etc/conky/conky.conf.new
+cp data/conky_no_x11.conf $PKG/etc/conky/conky_no_x11.conf.new
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
- doc/*.html extras/ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog LICENSE.GPL README.md NEWS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+# Remove duplicate config files out of the docdir.
+rm -r $PKG/usr/doc/$PRGNAM-$VERSION/*.conf
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/conky/conky.info b/system/conky/conky.info
index 462cfc7e62..63b5b711d9 100644
--- a/system/conky/conky.info
+++ b/system/conky/conky.info
@@ -1,10 +1,10 @@
PRGNAM="conky"
-VERSION="1.9.0"
+VERSION="1.10.4"
HOMEPAGE="http://conky.sourceforge.net"
-DOWNLOAD="http://downloads.sourceforge.net/conky/conky-1.9.0.tar.bz2"
-MD5SUM="d3de615f43aadc98d555e05ad9e902c2"
+DOWNLOAD="https://github.com/brndnmtthws/conky/archive/v1.10.4.tar.gz"
+MD5SUM="28259c21f50279472fd9a9a8299b70cb"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="libaudclient"
+REQUIRES="tolua++ imlib2"
MAINTAINER="M.Dinslage"
EMAIL="daedra1980@gmail.com"